Bug 1784981 - Upgrade from 4.2.9 to 4.2.10 stuck in machine-config occasionally
Summary: Upgrade from 4.2.9 to 4.2.10 stuck in machine-config occasionally
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.3.0
Assignee: Micah Abbott
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1784979
Blocks: 1781665
TreeView+ depends on / blocked
 
Reported: 2019-12-18 20:33 UTC by Kirsten Garrison
Modified: 2020-01-23 11:20 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1784979
Environment:
Last Closed: 2020-01-23 11:19:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1348 None closed [release-4.3] Bug 1784981: pkg/daemon: randomize pivot container name 2020-03-27 16:04:43 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:20:00 UTC

Comment 1 Kirsten Garrison 2019-12-18 20:34:05 UTC
This is to facilitate backport to 4.3

Comment 3 Michael Nguyen 2020-01-08 20:31:27 UTC
Verified on 4.3.0-0.nightly-2020-01-02-081435.  Podman is using a unique id for the pivot container name.  Updated successfully.

[mnguyen@pet30 4.4]$ oc get nodes
NAME                           STATUS   ROLES    AGE   VERSION
ip-10-0-129-51.ec2.internal    Ready    master   41m   v1.16.2
ip-10-0-132-146.ec2.internal   Ready    worker   32m   v1.16.2
ip-10-0-133-101.ec2.internal   Ready    master   42m   v1.16.2
ip-10-0-136-232.ec2.internal   Ready    worker   32m   v1.16.2
ip-10-0-152-222.ec2.internal   Ready    master   41m   v1.16.2
ip-10-0-153-101.ec2.internal   Ready    worker   32m   v1.16.2

$ oc debug node/ip-10-0-129-51.ec2.internal 
Starting pod/ip-10-0-129-51ec2internal-debug ...
To use host binaries, run `chroot /host`
If you don't see a command prompt, try pressing enter.
sh-4.2# chroot /host
sh-4.4# journalctl -u machine-config-daemon-host | grep 'podman create'
Jan 08 18:58:27 ip-10-0-129-51 machine-config-daemon[2237]: I0108 18:58:27.311238    2237 rpm-ostree.go:366] Running captured: podman create --net=none --annotation=org.openshift.machineconfigoperator.pivot=true --name ostree-container-pivot-aa11f172-7e73-4528-8124-509c54c68135 quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8c7964a0efe308e5f14babf73c62c8ca48dcefcacd8f23207d5c958a90ec6583

Comment 5 errata-xmlrpc 2020-01-23 11:19:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.